<?xml version="1.0"?>
<!-- 
    Note: As an alternative to hand editing this file you can use the 
    web admin tool to configure settings for your application. Use
    the Website->Asp.Net Configuration option in Visual Studio.
    A full list of settings and comments can be found in 
    machine.config.comments usually located in 
    \Windows\Microsoft.Net\Framework\v2.x\Config 
-->
<configuration>
  <configSections>
    <section name="infragistics.web" type="System.Configuration.SingleTagSectionHandler,System, Version=1.0.3300.0, Culture=neutral, PublicKeyToken=b77a5c561934e089"/>
    <section name="log4net" type="log4net.Config.Log4NetConfigurationSectionHandler, log4net"/>
    <sectionGroup name="businessObjects">
      <sectionGroup name="crystalReports">
        <section name="crystalReportViewer" type="System.Configuration.NameValueSectionHandler"/>
      </sectionGroup>
    </sectionGroup>
  </configSections>
  <log4net>
    <appender name="CardAccess.Web.UI" type="log4net.Appender.RollingFileAppender">
      <file value="Log\"/>
      <staticLogFileName value="false"/>
      <appendToFile value="true"/>
      <rollingStyle value="Date"/>
      <datePattern value="yyyy-MM-dd.'txt'"/>
      <lockingModel type="log4net.Appender.FileAppender+MinimalLock"/>
      <layout type="log4net.Layout.PatternLayout">
        <param name="ConversionPattern" value="%d [%t] %-5p %c %m%n"/>
      </layout>
    </appender>
    <logger name="CardAccess.Web.UI">
      <maximumFileSize value="15MB"/>
      <appender-ref ref="CardAccess.Web.UI"/>
    </logger>
  </log4net>
  <businessObjects>
    <crystalReports>
      <crystalReportViewer>
        <add key="UseBrowserLocale" value="true"/>
        <add key="resourceURI" value="/aspnet_client/system_web/4_0_30319/crystalreportviewers13"/>
      </crystalReportViewer>
    </crystalReports>
  </businessObjects>
  <infragistics.web enableAppStyling="true" styleSetName="Office2007Blue" styleSetPath="~/ig_res/"/>
  <appSettings>
    <add key="UserLicence" value="10"/>
    <add key="BuildNumber" value="1.0.0.0"/>
    <add key="CSSFriendly-JavaScript-Path" value="~/MenuJavaScript"/>
    <add key="currentSiteMapProvider" value="MenuSiteMapWithReport"/>
    <add key="SettingsFilePath" value="C:\TFSProjects\CardAccess4K_1.0\output"/>
    <add key="ReportLocation" value="C:\TFSProjects\CardAccess4K_1.0\output\Reports"/>
    <add key="CardAccess.Reports.AccessGroups.dll" value="30"/>
    <add key="CardAccess.Reports.ActivityLinks.dll" value="31"/>
    <add key="CardAccess.Reports.Badges.dll" value="32"/>
    <add key="CardAccess.Reports.Events.dll" value="33"/>
    <add key="CardAccess.Reports.TimeAndAttendance.dll" value="34"/>
    <add key="CardAccess.Reports.TimeSchedules.dll" value="35"/>
    <add key="CardAccess.Reports.Holidays.dll" value="36"/>
    <add key="CardAccess.Reports.FacilityCode.dll" value="37"/>
    <add key="CardAccess.Reports.AlertResponse.dll" value="38"/>
    <add key="CardAccess.Reports.Links.dll" value="39"/>
    <add key="CardAccess.Reports.Modem.dll" value="40"/>
    <add key="CardAccess.Reports.Operators.dll" value="41"/>
    <add key="CardAccess.Reports.InList.dll" value="42"/>
    <!--<add key="CardAccess.Reports.Hardware.dll" value="43" />-->
    <!--<add key="CardAccess.Reports.Personnel.dll" value="44" />-->
    <add key="CrystalImageCleaner-AutoStart" value="true"/>
    <add key="CrystalImageCleaner-Sleep" value="60000"/>
    <add key="CrystalImageCleaner-Age" value="120000"/>
  </appSettings>
  <connectionStrings/>
  <system.web>
    <sessionState mode="InProc" cookieless="UseCookies" regenerateExpiredSessionId="true" timeout="9999"/>
    <!-- 
            Set compilation debug="true" to insert debugging 
            symbols into the compiled page. Because this 
            affects performance, set this value to true only 
            during development.
        -->
    <compilation debug="false" targetFramework="4.0">
      <assemblies>
        <add assembly="Infragistics2.Web.v12.1, Version=12.1.20121.2178, Culture=neutral, PublicKeyToken=7DD5C3163F2CD0CB" />
        <add assembly="Infragistics2.WebUI.Documents.Reports.v12.1, Version=12.1.20121.2178, Culture=neutral, PublicKeyToken=7DD5C3163F2CD0CB" />
        <add assembly="Infragistics2.WebUI.Documents.Excel.v12.1, Version=12.1.20121.2178, Culture=neutral, PublicKeyToken=7DD5C3163F2CD0CB" />
        <add assembly="Infragistics2.WebUI.Documents.Word.v12.1, Version=12.1.20121.2178, Culture=neutral, PublicKeyToken=7DD5C3163F2CD0CB" />
        <add assembly="Infragistics2.WebUI.Documents.IO.v12.1, Version=12.1.20121.2178, Culture=neutral, PublicKeyToken=7DD5C3163F2CD0CB" />
        <add assembly="Infragistics2.WebUI.Misc.v12.1, Version=12.1.20121.2178, Culture=neutral, PublicKeyToken=7DD5C3163F2CD0CB" />
        <add assembly="Infragistics2.WebUI.Shared.v12.1, Version=12.1.20121.2178, Culture=neutral, PublicKeyToken=7DD5C3163F2CD0CB" />
        <add assembly="Infragistics2.WebUI.WebDataInput.v12.1, Version=12.1.20121.2178, Culture=neutral, PublicKeyToken=7DD5C3163F2CD0CB" />
        <add assembly="CrystalDecisions.CrystalReports.Engine, Version=13.0.2000.0, Culture=neutral, PublicKeyToken=692FBEA5521E1304" />
        <add assembly="CrystalDecisions.ReportAppServer.ClientDoc, Version=13.0.2000.0, Culture=neutral, PublicKeyToken=692FBEA5521E1304" />
        <add assembly="CrystalDecisions.ReportSource, Version=13.0.2000.0, Culture=neutral, PublicKeyToken=692FBEA5521E1304" />
        <add assembly="CrystalDecisions.Shared, Version=13.0.2000.0, Culture=neutral, PublicKeyToken=692FBEA5521E1304" />
        <add assembly="CrystalDecisions.Web, Version=13.0.2000.0, Culture=neutral, PublicKeyToken=692FBEA5521E1304" />
        <add assembly="System.Windows.Forms, Version=4.0.0.0, Culture=neutral, PublicKeyToken=B77A5C561934E089" />
        <add assembly="System.Design, Version=4.0.0.0, Culture=neutral, PublicKeyToken=B03F5F7F11D50A3A" />
        <add assembly="Accessibility, Version=4.0.0.0, Culture=neutral, PublicKeyToken=B03F5F7F11D50A3A" />
        <add assembly="System.Runtime.Remoting, Version=4.0.0.0, Culture=neutral, PublicKeyToken=B77A5C561934E089" />
        <add assembly="System.Security, Version=4.0.0.0, Culture=neutral, PublicKeyToken=B03F5F7F11D50A3A" />
        <add assembly="System.Management, Version=4.0.0.0, Culture=neutral, PublicKeyToken=B03F5F7F11D50A3A" />
        <add assembly="System.Configuration.Install, Version=4.0.0.0, Culture=neutral, PublicKeyToken=B03F5F7F11D50A3A" />
        <add assembly="System.DirectoryServices, Version=4.0.0.0, Culture=neutral, PublicKeyToken=B03F5F7F11D50A3A" />
        <add assembly="System.Configuration, Version=4.0.0.0, Culture=neutral, PublicKeyToken=B03F5F7F11D50A3A" />
        <add assembly="System.Data, Version=4.0.0.0, Culture=neutral, PublicKeyToken=B77A5C561934E089" />
        <add assembly="System, Version=4.0.0.0, Culture=neutral, PublicKeyToken=B77A5C561934E089" />
        <add assembly="System.Web, Version=4.0.0.0, Culture=neutral, PublicKeyToken=B03F5F7F11D50A3A" />
        <add assembly="System.Xml, Version=4.0.0.0, Culture=neutral, PublicKeyToken=B77A5C561934E089" />
        <add assembly="System.Drawing, Version=4.0.0.0, Culture=neutral, PublicKeyToken=B03F5F7F11D50A3A" />
        <add assembly="System.Transactions, Version=4.0.0.0, Culture=neutral, PublicKeyToken=B77A5C561934E089" />
        <add assembly="System.Data.OracleClient, Version=4.0.0.0, Culture=neutral, PublicKeyToken=B77A5C561934E089" />
        <add assembly="System.Data.Linq, Version=4.0.0.0, Culture=neutral, PublicKeyToken=B77A5C561934E089" />
        <add assembly="Microsoft.Web.Infrastructure, Version=1.0.0.0, Culture=neutral, PublicKeyToken=31BF3856AD364E35" />
        <add assembly="System.DirectoryServices.AccountManagement, Version=4.0.0.0, Culture=neutral, PublicKeyToken=B77A5C561934E089" />
      </assemblies>
    </compilation>
    <siteMap>
      <providers>
        <add siteMapFile="MenuSiteMapWithReport.sitemap" name="MenuSiteMapWithReport" type="System.Web.XmlSiteMapProvider, System.Web, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a"/>
        <add siteMapFile="MenuSiteMap.sitemap" name="MenuSiteMap" type="System.Web.XmlSiteMapProvider, System.Web, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a"/>
      </providers>
    </siteMap>
    <!--
            The <authentication> section enables configuration 
            of the security authentication mode used by 
            ASP.NET to identify an incoming user. 
        -->
    <pages theme="Office2007Black" clientIDMode="AutoID" controlRenderingCompatibilityVersion="3.5">
      <controls>
        <!--Extended Controls For AEL-->
        <add tagPrefix="AEL" namespace="AELControls" assembly="ExtendedControls"/>
        <!--Infragistics controls Registration goes Here-->
        <!--all user Controls Registration goes Here-->
        <add src="~/Configuration/UserControl/QuickSearch.ascx" tagName="QuickSearch" tagPrefix="AEL"/>
        <add src="~/Configuration/UserControl/BaseItemDisplayGrid.ascx" tagName="BaseItemDisplayGrid" tagPrefix="AEL"/>
        <add src="~/Configuration/UserControl/ConfigurationToolbar.ascx" tagName="ConfigurationToolbar" tagPrefix="AEL"/>
        <add src="~/Configuration/UserControl/ConfigurationEditorToolBar.ascx" tagName="ConfigurationEditorToolBar" tagPrefix="AEL"/>
        <add src="~/Configuration/UserControl/ConfigurationEditorToolbarForComport.ascx" tagName="ConfigurationEditorToolbarForComport" tagPrefix="AEL"/>
        <add src="~/ReportLayer/UserControls/RLToolBar.ascx" tagPrefix="uc1" tagName="RLToolBar"/>
        <add src="~/Configuration/UserControl/AdvancedSearch.ascx" tagName="AdvancedSearch" tagPrefix="AEL"/>
        <add tagPrefix="ig" namespace="Infragistics.Web.UI.GridControls" assembly="Infragistics2.Web.v12.1, Version=12.1.20121.2178, Culture=neutral, PublicKeyToken=7DD5C3163F2CD0CB"/>
        <add tagPrefix="ig" namespace="Infragistics.Web.UI.LayoutControls" assembly="Infragistics2.Web.v12.1, Version=12.1.20121.2178, Culture=neutral, PublicKeyToken=7DD5C3163F2CD0CB"/>
        <add tagPrefix="ig" namespace="Infragistics.Web.UI.NavigationControls" assembly="Infragistics2.Web.v12.1, Version=12.1.20121.2178, Culture=neutral, PublicKeyToken=7DD5C3163F2CD0CB"/>
        <add tagPrefix="igmisc" namespace="Infragistics.WebUI.Misc" assembly="Infragistics2.WebUI.Misc.v12.1, Version=12.1.20121.2178, Culture=neutral, PublicKeyToken=7DD5C3163F2CD0CB"/>
        <add tagPrefix="ig" namespace="Infragistics.Web.UI.EditorControls" assembly="Infragistics2.Web.v12.1, Version=12.1.20121.2178, Culture=neutral, PublicKeyToken=7DD5C3163F2CD0CB"/>
        <add tagPrefix="ig" namespace="Infragistics.Web.UI.ListControls" assembly="Infragistics2.Web.v12.1, Version=12.1.20121.2178, Culture=neutral, PublicKeyToken=7DD5C3163F2CD0CB"/>
        <add tagPrefix="igtxt" namespace="Infragistics.WebUI.WebDataInput" assembly="Infragistics2.WebUI.WebDataInput.v12.1, Version=12.1.20121.2178, Culture=neutral, PublicKeyToken=7DD5C3163F2CD0CB"/>
      </controls>
    </pages>
    <authorization>
      <allow users="*"/>
    </authorization>
    <authentication mode="Forms">
      <forms name="CAForm" loginUrl="LogIn.aspx" defaultUrl="~/Default.aspx" protection="All" slidingExpiration="true" timeout="9999"/>
    </authentication>
    <!--
            The <customErrors> section enables configuration 
            of what to do if/when an unhandled error occurs 
            during the execution of a request. Specifically, 
            it enables developers to configure html error pages 
            to be displayed in place of a error stack trace.

        <customErrors mode="RemoteOnly" defaultRedirect="GenericErrorPage.htm">
            <error statusCode="403" redirect="NoAccess.htm" />
            <error statusCode="404" redirect="FileNotFound.htm" />
        </customErrors>
        -->
    <httpHandlers>
      <add verb="GET" path="CrystalImageHandler.aspx" type="CrystalDecisions.Web.CrystalImageHandler, CrystalDecisions.Web, Version=13.0.2000.0, Culture=neutral, PublicKeyToken=692fbea5521e1304"/>
    </httpHandlers>
  </system.web>
  <!--
    Note: This section is only used with Microsoft Internet Information Server (IIS) 7.0.
  -->
  <system.webServer>
    <validation validateIntegratedModeConfiguration="false"/>
    <handlers>
      <remove name="WebServiceHandlerFactory-ISAPI-2.0"/>
      <add name="CrystalImageHandler.aspx_GET" verb="GET" path="CrystalImageHandler.aspx" type="CrystalDecisions.Web.CrystalImageHandler, CrystalDecisions.Web, Version=13.0.2000.0, Culture=neutral, PublicKeyToken=692fbea5521e1304" preCondition="integratedMode"/>
    </handlers>
  </system.webServer>
  <location path="AthenaScriptHandler.ashx">
    <system.web>
      <authorization>
        <allow users="*"/>
      </authorization>
    </system.web>
  </location>
  <location path="GetImage.ashx">
    <system.web>
      <authorization>
        <allow users="*"/>
      </authorization>
    </system.web>
  </location>
  <location path="Images">
    <system.web>
      <authorization>
        <allow users="*"/>
      </authorization>
    </system.web>
  </location>
  <location path="LoginCSS">
    <system.web>
      <authorization>
        <allow users="*"/>
      </authorization>
    </system.web>
  </location>
  <system.web.extensions>
    <scripting>
      <webServices>
        <jsonSerialization maxJsonLength="2147483647"/>
      </webServices>
    </scripting>
  </system.web.extensions>
</configuration>